#include <iostream>
#include <bits/stdc++.h>

using namespace std;

#define endl '\n'
#define ll long long
#define ull unsigned long long

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);

    int tt;
    cin >> tt;

    vector<ull> v;

    /// 54, 36, 18, 18 ///
    for(int a2=0; a2<=54; a2++){
        for(int a3=0; a3<36; a3++){
            for(int a5=0; a5<=18; a5++){
                for(int a7=0; a7<18; a7++){
                    ull velikiBroj=0;
                    int t2=a2, t3=a3, t5=a5, t7=a7;
                    int i=0;
                    while(t3>=2){
                        velikiBroj+=9*pow(10, i);
                        i++;
                        t3-=2;
                    }
                    while(t2>=3){
                        velikiBroj+=8*pow(10, i);
                        i++;
                        t2-=3;
                    }
                    while(t7--){
                        velikiBroj+=7*pow(10, i);
                        i++;
                    }
                    while(t2>0 && t3>0){
                        velikiBroj+=6*pow(10, i);
                        i++;
                        t2--;
                        t3--;
                    }
                    while(t5--){
                        velikiBroj+=5*pow(10, i);
                        i++;
                    }
                    while(t2>=2){
                        velikiBroj+=4*pow(10, i);
                        i++;
                        t2-=2;
                    }
                    while(t3--){
                        velikiBroj+=3*pow(10, i);
                        i++;
                    }
                    while(t2--){
                        velikiBroj+=2*pow(10, i);
                        i++;
                    }
                    v.push_back(velikiBroj);
                }
            }
        }
    }

    v.push_back(1);

    sort(v.begin(), v.end());


    /*
    for(ull el:v){
        cout << el << " ";
    }
    cout << endl;
    */

    int lngth = v.size();

    while(tt--){
        ull n;
        cin >> n;

        for(int i=0; i<lngth; i++){
            if(v[i]>=n){
                    //cout << v[i] << " >" << n << endl;
                cout << i << endl;
                break;
            }
        }

        /*cout << lower_bound(v.begin(), v.end(), n);
        cout << lower_bound(v.begin(), v.end(), n).*/
    }

}